API Documentation Download OpenAPI specification

Fetch Email Account Info

GEThttps://bll.titan.email/partner/fetchEmailAccount

API to fetch information about an email account on Titan Mail Cloud infra.

  • At least one of (titanAccountId) or (titanOrderId, email) should be present in request

Query parameters

titanOrderIdnumberoptional

The unique order ID against each domain provisioned with Titan

Example: 1
titanAccountIdnumberoptional

The unique mail account ID against each email provisioned with Titan.

Example: 1
emailstringoptional

Specify the email account for which the information is required.

Example: info@xyz.com

Responses

200OKapplication/json
namestring

This is the name of the user associated to the email account provided

Example: Info
firstNamestringoptional

The first name of the customer for whom the email address is being created.

Example: James
lastNamestringoptional

The last name of the customer for whom the email address is being created.

Example: Bond
titanOrderIdnumber

The unique order ID against each domain provisioned with Titan

Example: 1
alternateEmailAddressstring

Alternate email address associated to the email account provided

Example: james@xyz.com
statusstring · enum

The current status of the email account.

Example: active
Possible values: active suspended deleted
storageUsednumber
Example: 1234
storageLimitnumber
Example: 5000
isAdminboolean
Example: true
aliasesstring[]
purgeAtstringoptional

In yyyy-MM-dd format. All the account data would be purged from Titan's system permanently on this date. Account is expected to be in the deleted state and not already purged.

Example: 2024-02-20
See General Errors for other errors that this API can return.
GET/partner/fetchEmailAccount
curl 'https://bll.titan.email/partner/fetchEmailAccount?titanOrderId=1&titanAccountId=1&email=info@xyz.com' \
  --header 'Authorization: API.Key'
Response
{
  "name": "Info",
  "firstName": "James",
  "lastName": "Bond",
  "titanOrderId": 1,
  "alternateEmailAddress": "james@xyz.com",
  "status": "active",
  "storageUsed": 1234,
  "storageLimit": 5000,
  "isAdmin": true,
  "aliases": [
    "string"
  ],
  "purgeAt": "2024-02-20"
}